# mdtraj.compute_drid

mdtraj.compute_drid(traj, atom_indices=None)

  Distribution of reciprocal interatomic distances (DRID) representation of an MD trajectory

  Parameters:

    - traj (md.Trajectory) – A trajectory

    - atom_indices (np.ndarray, dtype=int, shape=(n_atom_indices,) or None) – The indices (zero-based) of the atoms to use in the DRID representation. If None, all atoms will be used.

  Returns:

    X – A rotationally invariant vector representation of each frame in the simulation. The DRID vector contains the mean, second, and third central moments of the reciprocal interatomic distances (with 1-2 interactions excluded).

  Return type:

    np.ndarray, shape=(n_frames, n_atom_indices*3), dtype=np.double

  References

  [1]

  Zhou, Caflisch; Distribution of Reciprocal of Interatomic Distances: A Fast Structural Metric. JCTC 2012 doi:10.1021/ct3003145